aboutsummaryrefslogtreecommitdiffstats
path: root/extra/libtasn1/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-20 10:09:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-20 10:09:33 +0000
commit32f047af3ce2482c41a99ae6a199cf4c05b68e5d (patch)
tree5cea22044caf18ef304bbb0fad02897d4bf0104b /extra/libtasn1/APKBUILD
parent74cc72c197889381bccc35d809de73e4372c64ad (diff)
downloadaports-32f047af3ce2482c41a99ae6a199cf4c05b68e5d.tar.gz
aports-32f047af3ce2482c41a99ae6a199cf4c05b68e5d.tar.bz2
aports-32f047af3ce2482c41a99ae6a199cf4c05b68e5d.tar.xz
extra/libtasn1: new aport
The ASN.1 library used in GNUTLS http://www.gnu.org/software/gnutls/
Diffstat (limited to 'extra/libtasn1/APKBUILD')
-rw-r--r--extra/libtasn1/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/extra/libtasn1/APKBUILD b/extra/libtasn1/APKBUILD
new file mode 100644
index 0000000000..35e4f2e908
--- /dev/null
+++ b/extra/libtasn1/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libtasn1
+pkgver=1.8
+pkgrel=0
+pkgdesc="The ASN.1 library used in GNUTLS"
+url="http://www.gnu.org/software/gnutls/"
+license="GPL3 LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="texinfo"
+install=
+source="ftp://ftp.gnu.org/gnu/gnutls/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="6b87c159e7dcb6e58204cce1edb0fecc libtasn1-1.8.tar.gz"